
<div class="btnAcrossPageName">
    <mb-button
        mbButtonSize="MEDIUM"
        mbButtonAvailableStyle="ADD_NEW"
        (click)="create()"
        mbButtonText="{{'partnership.add' | translate}}"
        *ngIf="objFunction?.edit"
    ></mb-button>
</div>

<div class="content__item content__item--border bg__content--default">
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <form nz-form [formGroup]="formSearch" style="margin-bottom: 8px" (keyup.enter)="doSearch(1)">
        <div nz-row [nzGutter]="[30,30]">

            <!-- Đơn vị -->
            <div nz-col [nzXs]="24" [nzLg]="8">
                <org-data-picker
                    mbLabelText="{{'partnership.workHisInformation.label.attributes.organization' | translate}} "
                    formControlName="org"
                    [scope]="scope"
                    [functionCode]="functionCode"
                >
                </org-data-picker>
            </div>

            <!-- Nhóm Đơn vị -->
            <div nz-col [nzXs]="24" [nzLg]="8">
                <mb-select
                    [mbDataSelects]="orgGroupSelects"
                    mbKeyLabel="label"
                    mbKeyValue="value"
                    mbPlaceholder="{{'partnership.pns-contract.label.orgGroup' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.orgGroup' | translate}} "
                    formControlName="orgGroup"
                ></mb-select>
            </div>

            <!-- Tên biểu mẫu -->
            <div nz-col [nzXs]="24" [nzLg]="8">
                <mb-input-text formControlName="name" [mbMaxLength]="200"
                               mbPlaceholderText="{{'partnership.pns-contract.label.formName' | translate}}"
                               mbLabelText="{{'partnership.pns-contract.label.formName' | translate}}"></mb-input-text>
            </div>


            <!-- Loại hợp đồng -->
            <div nz-col [nzXs]="24" [nzLg]="8">
                <mb-select [mbDataSelects]="contractTypeSelects" [mbKeyLabel]="'name'" [mbKeyValue]="'contractTypeId'"
                           formControlName="contractTypeId" [mbKeyValueStringType]="true"
                           mbPlaceholder="{{'partnership.pns-contract.label.typeOfcontract' | translate }}"
                           mbLabelText="{{'partnership.pns-contract.label.typeOfcontract' | translate}}"></mb-select>
            </div>

            <!-- Từ ngày -->
            <div nz-col [nzXs]="24" [nzLg]="8">
                <mb-date-picker formControlName="fromDate"
                                mbLabelText="{{'partnership.label.fromDate' | translate}}"
                                mbPlaceholderText="{{'partnership.label.fromDate' | translate}}"></mb-date-picker>
            </div>

            <!-- Đến ngày -->
            <div nz-col [nzXs]="24" [nzLg]="8">
                <mb-date-picker formControlName="toDate"
                                mbLabelText="{{'partnership.label.toDate' | translate}}"
                                mbPlaceholderText="{{'partnership.label.toDate' | translate}}"></mb-date-picker>
            </div>

            <!-- Đối tượng -->
            <div nz-col [nzXs]="24" [nzLg]="8">
                <mb-select-check-able
                    [mbShowAction]="false"
                    [mbDataSelects]="empTypeCodeList"
                    (mbEventEmit)="setFormValue($event, 'listEmpTypeCode')"
                    [mbKeyValueStringType]="true"
                    mbPlaceholder="{{'partnership.pns-contract.label.empTypeName' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.empTypeName' | translate}}"
                    formControlName="listEmpTypeCode"
                >
                </mb-select-check-able>
            </div>

            <!-- Nhóm chức danh -->
            <div nz-col [nzXs]="24" [nzLg]="8">
                <mb-select-check-able
                    [mbShowAction]="false"
                    [mbDataSelects]="positionGroupList"
                    (mbEventEmit)="setFormValue($event, 'positionGroupId')"
                    [mbKeyValueStringType]="true"
                    mbPlaceholder="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                    formControlName="positionGroupId"
                >
                </mb-select-check-able>
            </div>

        </div>
    </form>


    <div nz-row class="btn__row">
        <div nz-col nzSpan="8"></div>

        <div nz-col nzSpan="8">
            <div style="text-align: center">
                <mb-button
                    class="staff__research__btn__search"
                    mbButtonSize="MEDIUM"
                    mbButtonAvailableStyle="SEARCH"
                    (click)="doSearch()"
                    mbButtonText="{{'partnership.label.search' | translate}}"
                    *ngIf="objFunction?.view"
                ></mb-button>
                <mb-button
                    mbButtonSize="MEDIUM"
                    mbButtonType="BORDER"
                    (click)="doExportData()"
                    *ngIf="objFunction?.view"
                >
                    <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
                </mb-button>
            </div>
        </div>
        <div nz-col nzSpan="8"></div>
    </div>

</div>


<div class="search__result">
    <mb-table-wrap>
        <mb-table
            (changePageNum)="doSearch($event)"
            [tableConfig]="tableConfig"
            [tableData]="searchResult"
            [heightTable]="heightTable"
        ></mb-table>
    </mb-table-wrap>
</div>


<ng-template #fileName let-contractTemplateId="contractTemplateId" let-fileName="fileName">
    <a (click)="downloadFile(contractTemplateId, fileName)">{{fileName}}</a>
</ng-template>


<ng-template #positionGroup let-positionGroup="positionGroup">
    <div *ngFor="let position of positionGroup">
        - {{position}}
    </div>
</ng-template>

<ng-template #actionTmpl let-status="status" let-contractTemplateId="contractTemplateId">
    <div class="btnWrap">
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
                   (click)="update(contractTemplateId)"
                   *ngIf="objFunction?.edit"
                   nz-tooltip nzTooltipTitle="{{'partnership.pns-contract.label.edit' | translate}}"></mb-button>
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                   nzPopconfirmTitle="{{'partnership.pns-contract.action.confirmDelete' | translate}}"
                   nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
                   nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
                   (nzOnConfirm)="doDelete(contractTemplateId)"
                   *ngIf="objFunction?.delete"
                   nz-tooltip nzTooltipTitle="{{'partnership.pns-contract.label.delete' | translate}}"
                   nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
    </div>
</ng-template>

<ng-template #footerTmpl>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent"
               mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>

<ng-template #scopeTmpl let-orgName="orgName" let-orgGroup="orgGroup">
    <span *ngIf="orgName">{{'partnership.pns-contract.label.org' | translate}}</span>
    <span *ngIf="orgGroup">{{'partnership.pns-contract.label.orgGroup' | translate}}</span>
</ng-template>
